%define dirver 5.%(echo %version | cut -d. -f 2-3)
Name:          libktorrent
Version:       21.12.0
Release:       1mamba
Summary:       Library for KTorrent, a BitTorrent client for KDE
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://apps.kde.org/ktorrent/
Source:        https://download.kde.org/stable/release-service/%{version}/src/libktorrent-%{version}.tar.xz
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libX11-devel
BuildRequires: libgcc
BuildRequires: libgcrypt-devel
BuildRequires: libgmp-devel
BuildRequires: libkarchive-devel
BuildRequires: libkcompletion-devel
BuildRequires: libkconfig-devel
BuildRequires: libkcoreaddons-devel
BuildRequires: libki18n-devel
BuildRequires: libkio-devel
BuildRequires: libkjobwidgets-devel
BuildRequires: libkservice-devel
BuildRequires: libkwidgetsaddons-devel
BuildRequires: libkwindowsystem-devel
BuildRequires: libqca-qt5-devel
BuildRequires: libsolid-devel
BuildRequires: libstdc++6-devel
BuildRequires: qt5-qtbase-devel
## AUTOBUILDREQ-END
BuildRequires: cmake

%description
Library for KTorrent, a BitTorrent client for KDE.

%package devel
Summary:       Devel package for %{name}
Group:         Development/Libraries
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description devel
Library for KTorrent, a BitTorrent client for KDE.
This package contains static libraries and header files need for development.

%debug_package

%prep
%setup -q

%build
%cmake_kde5 -d build
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall -C build

%find_lang %{name}5

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files -f %{name}5.lang
%defattr(-,root,root)
%{_kde5_libdir}/libKF5Torrent.so.*
%doc LICENSES

%files devel
%defattr(-,root,root)
%dir %{_kde5_includedir}/libktorrent
%{_kde5_includedir}/libktorrent/*
%dir %{_kde5_libdir}/cmake/KF5Torrent
%{_kde5_libdir}/cmake/KF5Torrent/*.cmake
%{_kde5_libdir}/libKF5Torrent.so

%changelog
* Sat Dec 11 2021 Automatic Build System <autodist@mambasoft.it> 21.12.0-1mamba
- automatic version update by autodist

* Thu Nov 04 2021 Automatic Build System <autodist@mambasoft.it> 21.08.3-1mamba
- automatic version update by autodist

* Fri Oct 08 2021 Automatic Build System <autodist@mambasoft.it> 21.08.2-1mamba
- automatic version update by autodist

* Fri Sep 03 2021 Automatic Build System <autodist@mambasoft.it> 21.08.1-1mamba
- automatic version update by autodist

* Fri Aug 13 2021 Automatic Build System <autodist@mambasoft.it> 21.08.0-1mamba
- automatic version update by autodist

* Fri Jul 09 2021 Automatic Build System <autodist@mambasoft.it> 21.04.3-1mamba
- automatic version update by autodist

* Sat Jun 19 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 21.04.2-1mamba
- update to 21.04.2

* Thu May 13 2021 Automatic Build System <autodist@mambasoft.it> 21.04.1-1mamba
- automatic version update by autodist

* Fri Apr 23 2021 Automatic Build System <autodist@mambasoft.it> 21.04.0-1mamba
- automatic version update by autodist

* Fri Mar 05 2021 Automatic Build System <autodist@mambasoft.it> 20.12.3-1mamba
- automatic version update by autodist

* Fri Feb 05 2021 Automatic Build System <autodist@mambasoft.it> 20.12.2-1mamba
- automatic version update by autodist

* Mon Jan 25 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 20.12.1-1mamba
- update to 20.12.1

* Mon Jul 27 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 2.2.0-1mamba
- update to 2.2.0

* Sun Mar 29 2020 Ercole 'ercolinux' Carpanetto <ercole69@gmail.com> 2.1.1-1mamba
- update to 2.1.1

* Sat Sep 23 2017 Automatic Build System <autodist@mambasoft.it> 2.1-1mamba
- automatic version update by autodist

* Fri May 20 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 2.0.1-1mamba
- update to 2.0.1

* Sat Jan 19 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 1.3.1-1mamba
- update to 1.3.1

* Wed Sep 26 2012 Automatic Build System <autodist@mambasoft.it> 1.3.0-1mamba
- update to 1.3.0

* Wed Jun 20 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 1.2.1.2-1mamba
- update to 1.2.1.2

* Tue Apr 10 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 1.2.0-1mamba
- update to 1.2.0

* Thu May 12 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 1.1.1-1mamba
- update to 1.1.1

* Mon Jul 12 2010 Automatic Build System <autodist@mambasoft.it> 1.0.0-2mamba
- automatic rebuild by autodist

* Fri Jun 04 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0.0-1mamba
- package created by autospec
